""" Filter functions described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  lighten(pict)
  
  repaint(pict)
  
def lighten(pict):
  for px in getPixels(pict):
    pxColor = getColor(px)
    lighterColor = makeLighter(pxColor)
    setColor(px, lighterColor)
    
main() # starts the program