""" Simple grayscale filter function described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  simpleGrayScale(pict)
  
  repaint(pict)
  
def simpleGrayScale(pict):
  for px in getPixels(pict):
    intensity = (getBlue(px) + getGreen(px) + getRed(px))/3
    shadeOfGray = makeColor(intensity, intensity, intensity)
    setColor(px, shadeOfGray)
    
main() # starts the program
