""" Advanced grayscale filter function described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  advancedGrayScale(pict)
  
  repaint(pict)
  
def advancedGrayScale(pict):
  for px in getPixels(pict):
    newBlue = getBlue(px)*0.114
    newGreen = getGreen(px)*0.587
    newRed = getRed(px)*0.299
    intensity = newBlue + newGreen + newRed
    shadeOfGray = makeColor(intensity, intensity, intensity)
    setColor(px, shadeOfGray)
    
main() # starts the program
